{ config, pkgs, lib, ... }:
{
  services.xserver = {
    enable = true;
    desktopManager.xfce.enable = true;
    videoDrivers = [ "nvidia" ];
    layout = "us,no";
    xkbVariant = "intl";
  };

  environment.systemPackages = with pkgs; [
    xfce.xfce4-pulseaudio-plugin
  ];

  services.picom.enable = true;
  hardware.opengl.enable = true;

  services.pipewire = {
    enable = true;
    alsa.enable = true;
    pulse.enable = true;
    jack.enable = true;
  };

  fonts = {
    fontDir.enable = true;
    packages = with pkgs; [
      noto-fonts
      noto-fonts-emoji
      noto-fonts-cjk-sans
      font-awesome
      fira-code
      hack-font
      (nerdfonts.override {
        fonts = [
          "Hack"
        ];
      })
    ];
  };

  # Remote:
  services.xrdp = {
    enable = true;
    defaultWindowManager = "xfce4-session";
    openFirewall = true;
  };
}
